Bug 617841 - SELinux is preventing /var/lib/boinc/projects/www.malariacontrol.net/openMalariaA_6.42_x86_64-pc-linux-gnu "search" access on /home.
SELinux is preventing /var/lib/boinc/projects/www.malariacontrol.net/openMala...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:e18bd64fb70...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-24 06:27 EDT by Don Novak
Modified: 2010-08-10 17:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-44.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 17:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Novak 2010-07-24 06:27:32 EDT
Summary:

SELinux is preventing
/var/lib/boinc/projects/www.malariacontrol.net/openMalariaA_6.42_x86_64-pc-linux-gnu
"search" access on /home.

Detailed Description:

SELinux denied access requested by openMalariaA_6.. It is not expected that this
access is required by openMalariaA_6. and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:object_r:home_root_t:s0
Target Objects                /home [ dir ]
Source                        openMalariaA_6.
Source Path                   /var/lib/boinc/projects/www.malariacontrol.net/ope
                              nMalariaA_6.42_x86_64-pc-linux-gnu
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           filesystem-2.4.31-1.fc13
Policy RPM                    selinux-policy-3.7.19-39.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.6-147.fc13.x86_64 #1 SMP Tue Jul 6 22:32:17
                              UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 24 Jul 2010 04:55:38 AM CDT
Last Seen                     Sat 24 Jul 2010 04:55:38 AM CDT
Local ID                      ee75a5f9-92bd-427b-85fe-376330479e34
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1279965338.448:84): avc:  denied  { search } for  pid=9614 comm="openMalariaA_6." name="home" dev=dm-0 ino=1130498 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:home_root_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1279965338.448:84): arch=c000003e syscall=2 success=no exit=-2 a0=7fff329cbcb0 a1=0 a2=0 a3=6f5f796c6e6f5f64 items=0 ppid=2390 pid=9614 auid=4294967295 uid=490 gid=474 euid=490 suid=490 fsuid=490 egid=474 sgid=474 fsgid=474 tty=(none) ses=4294967295 comm="openMalariaA_6." exe="/var/lib/boinc/projects/www.malariacontrol.net/openMalariaA_6.42_x86_64-pc-linux-gnu" subj=system_u:system_r:boinc_t:s0 key=(null)



Hash String generated from  catchall,openMalariaA_6.,boinc_t,home_root_t,dir,search
audit2allow suggests:

#============= boinc_t ==============
allow boinc_t home_root_t:dir search;
Comment 1 Miroslav Grepl 2010-07-26 04:38:46 EDT
Dan,
I am re-writing boinc policy. I will send you a patch.
Comment 2 Miroslav Grepl 2010-07-28 02:14:14 EDT
Fixed in selinux-policy-3.7.19-42.fc13.
Comment 3 Fedora Update System 2010-08-06 09:41:43 EDT
selinux-policy-3.7.19-44.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-44.fc13
Comment 4 Fedora Update System 2010-08-06 17:00:18 EDT
selinux-policy-3.7.19-44.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-44.fc13
Comment 5 Fedora Update System 2010-08-10 17:40:09 EDT
selinux-policy-3.7.19-44.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.